import type { UserMenuItem } from '@/api/types/user';

export type AppMenuItem = { children: AppMenuItem[] } & UserMenuItem;

export interface AppState {
  version: string;
  appMenus: AppMenuItem[];
  privilegeList: PrivilegeItem[];
  validRoutes: string[];
  breadcrumbs: string[];
}
